org.codehaus.groovy.bsf

## Class CachingGroovyEngine

- java.lang.Object
- - org.apache.bsf.util.BSFEngineImpl
  - - org.codehaus.groovy.bsf.GroovyEngine
    - - org.codehaus.groovy.bsf.CachingGroovyEngine

- All Implemented Interfaces:
    PropertyChangeListener, EventListener, org.apache.bsf.BSFEngine

      public class CachingGroovyEngine
      extends GroovyEngine

  A Caching implementation of the GroovyEngine
  Author:
    James Birchfield

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.bsf.GroovyEngine

      `shell`

    - ### Fields inherited from class org.apache.bsf.util.BSFEngineImpl

      `classLoader, classPath, declaredBeans, lang, mgr, tempDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingGroovyEngine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eval(String source, int lineNo, int columnNo, Object script)` Evaluate an expression.
    `void` | `exec(String source, int lineNo, int columnNo, Object script)` Execute a script.
    `void` | `initialize(org.apache.bsf.BSFManager mgr, String lang, Vector declaredBeans)` Initialize the engine.

    - ### Methods inherited from class org.codehaus.groovy.bsf.GroovyEngine

      `apply, call, declareBean, getEvalShell, undeclareBean`

    - ### Methods inherited from class org.apache.bsf.util.BSFEngineImpl

      `compileApply, compileExpr, compileScript, iexec, propertyChange, terminate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingGroovyEngine

          public CachingGroovyEngine()

  - ### Method Detail

    - #### eval

          public Object eval(String source,
                    int lineNo,
                    int columnNo,
                    Object script)
                      throws org.apache.bsf.BSFException

      Evaluate an expression.
      Specified by:
        `eval` in interface `org.apache.bsf.BSFEngine`
      Overrides:
        `eval` in class `GroovyEngine`
      Throws:
        `org.apache.bsf.BSFException`

    - #### exec

          public void exec(String source,
                  int lineNo,
                  int columnNo,
                  Object script)
                    throws org.apache.bsf.BSFException

      Execute a script.
      Specified by:
        `exec` in interface `org.apache.bsf.BSFEngine`
      Overrides:
        `exec` in class `GroovyEngine`
      Throws:
        `org.apache.bsf.BSFException`

    - #### initialize

          public void initialize(org.apache.bsf.BSFManager mgr,
                        String lang,
                        Vector declaredBeans)
                          throws org.apache.bsf.BSFException

      Initialize the engine.
      Specified by:
        `initialize` in interface `org.apache.bsf.BSFEngine`
      Overrides:
        `initialize` in class `GroovyEngine`
      Throws:
        `org.apache.bsf.BSFException`